import { ethers } from 'ethers';
import { ChainId, CurrencyAmount, Token } from '@sushiswap/sdk';
export declare function getApprovalSignature(user: string, nonce: number, chainId: ChainId, privateKey: string): Promise<{
    v: number;
    r: string;
    s: string;
}>;
export declare function batchApprovalAndDeposit(user: string, chainId: ChainId, nonce: number, token: string, amount: CurrencyAmount<Token>, share: CurrencyAmount<Token>, provider: ethers.providers.Web3Provider): Promise<string[]>;
